> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk upload project secret files



## OpenAPI

````yaml api-reference/openapi.v1.json POST /projects/{id}/secret-files/bulk
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /projects/{id}/secret-files/bulk:
    post:
      tags:
        - secret-files
      summary: Bulk upload project secret files
      operationId: bulkUploadProjectSecretFiles
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecretFileBulkUploadRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretFileBulkUploadResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    SecretFileBulkUploadRequest:
      additionalProperties: false
      properties:
        files:
          items:
            $ref: '#/components/schemas/SecretFileBulkUploadItem'
          maxItems: 100
          type: array
      required:
        - files
      type: object
    SecretFileBulkUploadResponse:
      additionalProperties: false
      properties:
        uploaded:
          format: int64
          minimum: 0
          type: integer
      required:
        - uploaded
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    SecretFileBulkUploadItem:
      additionalProperties: false
      properties:
        content:
          maxLength: 1048576
          type: string
        file_path:
          minLength: 1
          type: string
      required:
        - file_path
        - content
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````